MetacatUI - Feature #5949

Implement advanced search filters in sidebar
05/24/2013 05:06 PM - Matt Jones

Status: Resolved Start date:
Priority: Normal Due date:

Assignee: Lauren Walker % Done:

Category: Estimated time:

Target version: 1.2.0 Spent time:

Bugzilla-ld:

09/06/2013

100%
0.00 hour
0.00 hour

Description

Subtasks:
Task # 6072: Design advanced search features
Task # 6090: Handle paging with search filters applied

Task # 6104: Reload previous search and filters when refreshing or reentering the DataC...

Task # 6105: Search is triggered twice when changing the year slider for the first time...
Task # 6106: Search results do not update properly after clearing all filters

Closed
Resolved
Rejected
Closed
Closed

Related issues:
Related to MetacatUl - Task #5971: Implement and test record sorting

Closed

05/24/2013

History

#1 - 06/13/2013 03:24 PM - Matt Jones

- Target version changed from 1.0.0 to 1.1.0

#2 - 08/23/2013 03:55 PM - ben leinfelder

- Target version changed from 1.1.0 to 1.2.0

#3 - 09/19/2013 03:53 PM - Lauren Walker

- Assignee set to Lauren Walker

#4 - 09/26/2013 02:52 PM - Lauren Walker

- Status changed from New to In Progress

Created a Search model to hold all the current filter terms, most attributes are arrays to allow for multiple filters of one category

Created the HTML and CSS for the filter options

Most surface mechanics of the filtering is working - the interactive features of adding and removing filters, updating the model, etc.

Now on to refining those and creating new Solr queries

#5 - 10/25/2013 03:18 PM - Lauren Walker

- Status changed from In Progress to Resolved

Everything is ready - spatial next
